Subject: [eppext] Working Group Last call for draft-ietf-eppext-reg

From: Antoin Verschuren <[email-masked]>
Date: Wed, 25 Jun 2014 10:46:07 +0200

Greetings,

This is the starting of the WGLC on the Extension Registry for the
Extensible Provisioning Protocol.  This was discussed in London and on
the mailing list, an we believe the outcome is incorporated in the
document and is ready for WGLC.
The current versions of this documents can be found here:

    https://datatracker.ietf.org/doc/draft-ietf-eppext-reg/
    http://www.ietf.org/id/draft-ietf-eppext-reg-06.txt

We'll have a 2,5 week period for comments, closing on Friday, 11 July
2014.

thanks

- -- 
Antoin Verschuren

Technical Policy Advisor SIDN
Meander 501, PO Box 5022, 6802 EA Arnhem, The Netherlands

P: +31 26 3525500  M: +31 6 23368970
Mailto: [email-masked]
XMPP: [email-masked]
HTTP://www.sidn.nl/

---

From: "Hollenbeck, Scott" <[email-masked]>
Date: Wed, 25 Jun 2014 14:40:09 +0000

> -----Original Message-----
> From: EppExt [mailto:[email-masked]] On Behalf Of Antoin
> Verschuren
> Sent: Wednesday, June 25, 2014 4:46 AM
> To: [email-masked]
> Subject: [eppext] Working Group Last call for draft-ietf-eppext-reg
> 
> Greetings,
> 

For anyone new to the IETF process: statements of support are just as significant to the last call process as identification of issues or errors. If you're happy with the document as-is, please say so. Silence makes it more difficult for our chairs and AD to determine consensus.

Scott

---

From: Paul Hoffman <[email-masked]>
Date: Thu, 26 Jun 2014 19:35:50 +0100

I have read the document and think it is ready to progress to the IETF. (And I say that as someone who is reading it for the first time, so I really did read the whole thing.) I wish that the experts could reject applications for similar extensions, but grudgingly agree that anything that has actually been implemented is accepted as long as it is well-docuemented.

--Paul Hoffman

---

From: "Linlin Zhou" <[email-masked]>
Date: Fri, 27 Jun 2014 09:25:01 +0800

I agree that this document is ready.
Only one nit, I think a comma is missing in section 3.2.4.
If the registrant becomes unavailable or otherwise unresponsive, the designated expert MAY submit a registration form to IANA to update the registrant information.

Linlin Zhou
 
From: Antoin Verschuren
Date: 2014-06-25 16:46
To: [email-masked]
 
Greetings,

 
thanks
 
- -- 
Antoin Verschuren

 
_______________________________________________
EppExt mailing list
[email-masked]
https://www.ietf.org/mailman/listinfo/eppext

---

From: Naoki Kambe <[email-masked]>
Date: Fri, 27 Jun 2014 11:23:33 +0900 (JST)

Hello,

Here is a couple of minor comments:

==
2.  Introduction

...

   RFCs 5730 and 5735 do not describe how extension development can be
                 ^^^^ 3735?

   managed and coordinated.  This has led to a situation in which server

===
3.2.1.  Required Information

...

   TLDs: A case-insensitive text string description of the top-level
   domain (or domains) for which the extension has been specified.
   "Any" or "ANY" MUST be used if the extension is not associated with a
   specific top-level domain.  Multiple TLDs SHOULD be specified as a
   list of domain names separated by commas, e.g. ".com, .net".

# In case of an IDN TLD, should a-label or u-label or both be
# specified?  (sorry for the duplication if already discussed)

...

   specification the IPR disclosure MAY be filed with the IETF in
   accordance with RFCs 3979 [RFC3979] as updated by RFC 4879 [RFC4879].
                   ^^^^ RFC
===

Regards,

Naoki Kambe

From: "Hollenbeck, Scott" <[email-masked]>
Subject: Re: [eppext] Working Group Last call for draft-ietf-eppext-reg
Date: Wed, 25 Jun 2014 14:40:09 +0000

---

From: Paul Hoffman <[email-masked]>
Date: Fri, 27 Jun 2014 09:41:49 +0100

> # specified?  (sorry for the duplication if already discussed)

A-label. Unless we trust the application process to correctly maintain UTF-8 throughout (and I certainly don't), the A-label would be a much better format.

--Paul Hoffman

---

From: Naoki Kambe <[email-masked]>
Date: Mon, 30 Jun 2014 10:25:36 +0900 (JST)

From: Paul Hoffman <[email-masked]>
Date: Fri, 27 Jun 2014 09:41:49 +0100

> A-label. Unless we trust the application process to correctly maintain UTF-8 throughout (and I certainly don't), the A-label would be a much better format.

Thanks for replying. I agree with you. And I think it might need some
text in case of IDNs.

Regards,

Naoki Kambe

---

From: "Hollenbeck, Scott" <[email-masked]>
Date: Mon, 30 Jun 2014 10:53:15 +0000

> From: EppExt [mailto:[email-masked]] On Behalf Of Naoki Kambe
> Sent: Sunday, June 29, 2014 9:26 PM
> To: [email-masked]
> > A-label. Unless we trust the application process to correctly
> maintain UTF-8 throughout (and I certainly don't), the A-label would be
> a much better format.
> 

Agreed. How about adding this sentence: "Internationalized Domain Name (IDN) top-level domains should be specified in a-label [RFC5890] format."

Scott

---

From: "Hollenbeck, Scott" <[email-masked]>
Date: Mon, 30 Jun 2014 10:57:50 +0000

From: EppExt [mailto:[email-masked]] On Behalf Of Linlin Zhou
Sent: Thursday, June 26, 2014 9:25 PM
To: Antoin Verschuren; [email-masked]
Subject: Re: [eppext] Working Group Last call for draft-ietf-eppext-reg

[SAH] OK, I’ll add a comma in the interest of adding a pause to a long sentence.

Scott

---

From: "Hollenbeck, Scott" <[email-masked]>
Date: Mon, 30 Jun 2014 11:00:36 +0000

> Sent: Thursday, June 26, 2014 10:24 PM
> To: [email-masked]

Good catch! Yes, it should be 3735.

> # specified?  (sorry for the duplication if already discussed)

Yes. I'll add a sentence to address IDN TLDs.

>    accordance with RFCs 3979 [RFC3979] as updated by RFC 4879

Yes, that should be "RFC". Thanks for the feedback!

Scott

---

From: Frederico A C Neves <[email-masked]>
Date: Mon, 30 Jun 2014 11:24:33 -0300

I've read the document and the so far comments on the ML and I fully
support its publication.

Fred

---

From: Naoki Kambe <[email-masked]>
Date: Tue, 01 Jul 2014 10:35:42 +0900 (JST)

From: "Hollenbeck, Scott" <[email-masked]>
Date: Mon, 30 Jun 2014 10:53:15 +0000

> Agreed. How about adding this sentence: "Internationalized Domain Name (IDN) top-level domains should be specified in a-label [RFC5890] format."

Thanks for proposing. The sentence seems good for me.
As a very minor point, "TLDs" is already used over all. So you might
be able to use it instead of "top-level domains" above.

Regards,

Naoki Kambe